<?php

namespace App\Repository;

use App\Entity\HomeMessage;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method HomeMessage|null find($id, $lockMode = null, $lockVersion = null)
 * @method HomeMessage|null findOneBy(array $criteria, array $orderBy = null)
 * @method HomeMessage[]    findAll()
 * @method HomeMessage[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class HomeMessageRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, HomeMessage::class);
    }
}
