import 'summernote/dist/summernote-bs4.min';
import 'summernote/dist/lang/summernote-fr-FR';

$(function () {
    const input = document.querySelector("#home_message_text") as HTMLInputElement;
    if (! input) {
        console.error("Could not find generated input");
    }

    ($(".editordata") as any).summernote({
        placeholder: 'Message d\'accueil',
        lang: 'fr-FR',
        tabsize: 2,
        height: 120,
    });

    ($(".editordata") as any).summernote('code', input.value);

    $('form').on('submit', function(e){
        const new_value = ($(".editordata").eq(0) as any).summernote('code');
        const input = document.querySelector("#home_message_text") as HTMLInputElement;
        if (! input) {
            console.error("Could not find generated input");
            e.preventDefault();
            return;
        }
        input.value = new_value;
    });
});
