<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
class PhysicalConditionFile extends File
{
    #[ORM\ManyToOne(targetEntity: ParkingApplication::class, inversedBy: "physicalConditionProof")]
    #[ORM\JoinColumn(nullable: false)]
    private $application;

    public function getApplication(): ?ParkingApplication
    {
        return $this->application;
    }

    public function setApplication(?ParkingApplication $application): self
    {
        $this->application = $application;

        return $this;
    }
}
