DCFILEPATH="docker-compose.prod.yml"
DCFILE="docker-compose.yml"
alias dcprod="docker compose -f $DCFILE"

echo "Downloading latest $DCFILE"
curl https://git.step.polymtl.ca/api/v4/projects/540/repository/files/$DCFILEPATH/raw\?ref\=master -o $DCFILE

echo "\nPulling latest images"
dcprod pull

echo "\nStopping and removing old containers"
dcprod stop nginx php
dcprod rm nginx php -f

echo "\nRemoving old assets"
sudo sh -c "rm /var/lib/docker/volumes/stationnement_built-assets/_data/* -rf"

echo "\nRunning updated containers"
dcprod up -d
